Skip to content

Game DDoS protection

All operations require authentication.

7 operationsv1/ip/{ip}
Agent setup

List IPs under protectionProduction

GET
/1.0/ip/{ip}/game

List IPs under protection. Returns a list of all IP addresses from a given IP block object that are protected by Game DDoS protection.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200ipv4[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Get an IP under protectionProduction

GET
/1.0/ip/{ip}/game/{ipOnGame}

Get an IP under protection. Returns the firewall mode, the supported game protocols, the maximum number of rules and the state of the Game DDoS protection.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200GameMitigationsuccessful operation
firewallModeEnabled
boolean

Firewall mode : in UDP, only allow traffic matching your rules (as well as established traffic). If not enabled, traffic to ports not defined in your rules will be permited. TCP traffic is unaffected by this.

ipOnGame
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

maxRules
read-only
integer

Maximum number of rules for this IP

state
read-only
GameMitigationStateEnum

Possible values for udp mitigation rule state

ValuescleanRulesPendingfirewallModeDisablePendingfirewallModeEnablePendingok
supportedProtocols
read-only
GameMitigationRuleProtocolEnum[]

List of protocols available on this IP

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim

Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "firewallModeEnabled": true, "ipOnGame": "192.0.2.0", "maxRules": 0, "state": "cleanRulesPending", "supportedProtocols": [ "arkSurvivalAscended" ]}

Update the firewall modeProduction

PUT
/1.0/ip/{ip}/game/{ipOnGame}

Update the firewall mode. Enables or disables the firewall mode of the IP. When enabled, UDP traffic that matches no declared rule is dropped. TCP traffic is not affected.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Request body (required)

firewallModeEnabled
boolean

Firewall mode : in UDP, only allow traffic matching your rules (as well as established traffic). If not enabled, traffic to ports not defined in your rules will be permited. TCP traffic is unaffected by this.

ipOnGame
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

maxRules
read-only
integer

Maximum number of rules for this IP

state
read-only
GameMitigationStateEnum

Possible values for udp mitigation rule state

ValuescleanRulesPendingfirewallModeDisablePendingfirewallModeEnablePendingok
supportedProtocols
read-only
GameMitigationRuleProtocolEnum[]

List of protocols available on this IP

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim

Response

200—successful operation

Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame} \
  -H "authorization: Bearer $OVH_TOKEN"

List protection rulesProduction

GET
/1.0/ip/{ip}/game/{ipOnGame}/rule

List protection rules. Returns the identifiers of the protection rules declared on the IP. Their number is limited by maxRules on the IP.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200integer[]successful operation

Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a protection ruleProduction

POST
/1.0/ip/{ip}/game/{ipOnGame}/rule

Create a protection rule. Declares the Game DDoS protection rule: L7 protocol and UDP port range for a given IP address. Valid protocols are listed in supportedProtocols and the number of rules is limited by maxRules.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Request body (required)

ports
required
Range_long

The UDP port range to apply the rule on

protocol
required
GameMitigationRuleProtocolEnum

The protocol running behind the given port(s). See supportedProtocols on the IP to know which values are valid here

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim

Response

200GameMitigationRulesuccessful operation
id
read-only
integer

ID of the rule

ports
read-only
Range_long

Start and end points (inclusive) of a range

protocol
read-only
GameMitigationRuleProtocolEnum

Possible values for game rule protocol

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim
state
read-only
GameMitigationRuleStateEnum

Current state of your rule

ValuescreateRulePendingdeleteRulePendingok

Example uses ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame}/rule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}

Get a protection ruleProduction

GET
/1.0/ip/{ip}/game/{ipOnGame}/rule/{id}

Get a protection rule. Returns the UDP port range, the protocol running behind it and the state of the protection rule.

Path parameters

id
required
integer

ID of the rule

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200GameMitigationRulesuccessful operation
id
read-only
integer

ID of the rule

ports
read-only
Range_long

Start and end points (inclusive) of a range

protocol
read-only
GameMitigationRuleProtocolEnum

Possible values for game rule protocol

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim
state
read-only
GameMitigationRuleStateEnum

Current state of your rule

ValuescreateRulePendingdeleteRulePendingok

Example uses id = 0, ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame}/rule/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}

Delete a protection ruleProduction

DELETE
/1.0/ip/{ip}/game/{ipOnGame}/rule/{id}

Delete a protection rule. Deletes the protection rule from the IP, and returns the deleted rule with its state.

Path parameters

id
required
integer

ID of the rule

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipOnGame
required
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200GameMitigationRulesuccessful operation
id
read-only
integer

ID of the rule

ports
read-only
Range_long

Start and end points (inclusive) of a range

protocol
read-only
GameMitigationRuleProtocolEnum

Possible values for game rule protocol

ValuesarkSurvivalAscendedarkSurvivalEvolvedarkSurvivalEvolvedV311.78+armacounterStrike2fiveMgtaMultiTheftAutoSanAndreasgtaSanAndreasMultiplayerModhl2SourceminecraftBedrockWithRacknetCookieminecraftJavaminecraftPocketEditionminecraftQuerymumbleotherrustteamspeak2teamspeak3trackmaniaShootmaniavalheim
state
read-only
GameMitigationRuleStateEnum

Current state of your rule

ValuescreateRulePendingdeleteRulePendingok

Example uses id = 0, ip = 192.0.2.0/24, ipOnGame = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/game/{ipOnGame}/rule/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "ports": { "from": 0, "to": 0 }, "protocol": "arkSurvivalAscended", "state": "createRulePending"}